# $Id: smeserver-arpwatch.spec,v 1.3 2009/03/03 18:47:59 vip-ire Exp $
# Authority: vip-ire
# Name: Daniel Berteaud

Summary: Arpwatch is a tool that monitors ethernet activity
%define name smeserver-arpwatch
Name: %{name}
%define version 0.1
%define release 2
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Monitoring
Source: %{name}-%{version}.tar.gz

Patch0:         smeserver-arpwatch-0.1-not_supervised.patch

BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArchitectures: noarch

BuildRequires: e-smith-devtools

Requires: e-smith-base
Requires: arpwatch

%description
Arpwatch is a tool that monitors ethernet activity and keeps
a database of ethernet/ip address pairings.
It also reports certain changes via email.
Arpwatch uses libpcap, a system-independent interface for 
user-level packet capture.

%changelog
* Tue Mar 03 2009 Daniel B. <daniel@firewall-services.com> [0.1-2]
- Add e-smith-devtools as a build dependency

* Tue Jan 27 2009 Daniel B. <daniel@firewall-services.com> [0.1-1]
- Service not supervised (as the only option to disable forking is -d
  which also disable email alerts)

* Tue Jan 27 2009 Daniel B. <daniel@firewall-services.com> [0.1-0]
- Initial release

%prep

%setup -q -n %{name}-%{version}
%patch0 -p1

%build
perl createlinks

%install
/bin/rm -rf $RPM_BUILD_ROOT
(cd root   ; /usr/bin/find . -depth -print | /bin/cpio -dump $RPM_BUILD_ROOT)
/bin/rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
        --dir /var/lib/arpwatch  'attr(0750,pcap,pcap)' \
	--file /var/lib/arpwatch/arp.dat 'attr(0750,pcap,pcap) %config(noreplace)' \
        > %{name}-%{version}-filelist

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

%clean
rm -rf $RPM_BUILD_ROOT


%post

%preun
if [ $1 -eq 0 ] ; then
        /sbin/e-smith/db configuration setprop arpwatch status disabled
        /etc/init.d/arpwatch stop
fi

true

